Skip to content

getExternalSalesOrderLines

READ

Get external sales order lines.

POST /api/v1/sales/getExternalSalesOrderLines
curl -X POST '<your-host>/api/v1/sales/getExternalSalesOrderLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "customerContactName": "string",
      "customerEngineeringContactName": "string",
      "customerId": "string",
      "customerReference": "string",
      "jobOperations": "…",
      "jobProductionQuantity": 0,
      "jobQuantityComplete": 0,
      "jobQuantityShipped": 0,
      "jobStatus": "Closed",
      "locationId": "string",
      "orderDate": "string",
      "promisedDate": "string",
      "quantityInvoiced": 0,
      "quantitySent": 0,
      "quantityToSend": 0,
      "readableId": "string",
      "readableIdWithRevision": "string",
      "receiptPromisedDate": "string",
      "receiptRequestedDate": "string",
      "revision": "string",
      "saleQuantity": 0,
      "salesOrderId": "string",
      "salesOrderStatus": "Closed",
      "thumbnailPath": "string",
      "unitOfMeasureCode": "string",
      "unitPrice": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  },
  "required": [
    "customerId",
    "args"
  ]
}